---
- name: Ensure tar and unzip is present
  package:
    name: ['tar','unzip']
    state: present 

- name: Check steam is already where it should be
  stat:
    path: "{{ dsgames_directory_tools }}/steamcmd/steamcmd.sh"
  register: stat_steamcmd_result

- name: create dsgames directory tools for SteamCMD
  file:
    dest: "{{ dsgames_directory_tools }}/steamcmd"
    state: directory

- name: Donwload and Extract latest SteamCMD for Linux
  unarchive:
    src: "https://steamcdn-a.akamaihd.net/client/installer/steamcmd_linux.tar.gz"
    dest: "{{ dsgames_directory_tools }}/steamcmd"
    mode: 0755 
    remote_src: yes
  when: stat_steamcmd_result.stat.exists == false

- name: attempt to log into steam anonymously
  command: "{{ dsgames_directory_tools }}/steamcmd/steamcmd.sh +quit"
  async: "{{ steamcmd_login_timeout }}"
  poll: 5
  register: output
  no_log: true

- name: save output
  set_fact:
    steam_stdout: "{{ output.stdout }}"
  when: output is not skipped

- name: Create directory steam for dsgames-user
  file:
    path: /home/dsgames-user/.steam/sdk32
    state: directory
    owner: dsgames-user
    group: dsgames-user

- name: Create link for Steamclient.so
  file:
    src: /opt/dsgames/dsg-tools/steamcmd/linux32/steamclient.so
    dest: /home/dsgames-user/.steam/sdk32/steamclient.so
    owner: dsgames-user
    group: dsgames-user
    state: link

- name: Ensure permission for Steamclient.so
  file:
    path: /home/dsgames-user/.steam/sdk32/steamclient.so
    owner: dsgames-user
    group: dsgames-user
    mode: 0755
